Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.operation.text
Class DateOperation

    java.lang.Object
      cascading.operation.BaseOperation<Pair<SimpleDateFormat,Tuple>>
          cascading.operation.text.DateOperation

All Implemented Interfaces:
  Operation<Pair<SimpleDateFormat,Tuple>>, Serializable

Direct Known Subclasses:
  DateFormatter, DateParser

    public class DateOperation

extends BaseOperation<Pair<SimpleDateFormat,Tuple>>

Class DateOperation is the base class for `DateFormatter` and `DateParser`.

See Also:
  Serialized Form

Field Summary
`protected Locale` | `locale` Field locale
`protected TimeZone` | `zone` Field zone

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`DateOperation(int numArgs, Fields fieldDeclaration, String dateFormatString)` Constructor DateOperation creates a new DateOperation instance.
`DateOperation(int numArgs, Fields fieldDeclaration, String dateFormatString, TimeZone zone, Locale locale)` Constructor DateOperation creates a new DateOperation instance.

Method Summary
`boolean` | `equals(Object object)`
`protected Calendar` | `getCalendar()`
`SimpleDateFormat` | `getDateFormat()` Method getDateFormat returns the dateFormat of this DateParser object.
`String` | `getDateFormatString()`
`int` | `hashCode()`
`void` | `prepare(FlowProcess flowProcess, OperationCall<Pair<SimpleDateFormat,Tuple>> operationCall)` Method prepare does nothing, and may safely be overridden.

Methods inherited from class cascading.operation.BaseOperation
`cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### zone

    protected TimeZone zone

  Field zone

### locale

    protected Locale locale

  Field locale

Constructor Detail

### DateOperation

    @ConstructorProperties(value={"numArgs","fieldDeclaration","dateFormatString"})
    public DateOperation(int numArgs,
                                                    Fields fieldDeclaration,
                                                    String dateFormatString)

  Constructor DateOperation creates a new DateOperation instance.

  Parameters:
    `numArgs` - of type int
    `fieldDeclaration` - of type Fields
    `dateFormatString` - of type String

### DateOperation

    @ConstructorProperties(value={"numArgs","fieldDeclaration","dateFormatString","zone","locale"})
    public DateOperation(int numArgs,
                                                    Fields fieldDeclaration,
                                                    String dateFormatString,
                                                    TimeZone zone,
                                                    Locale locale)

  Constructor DateOperation creates a new DateOperation instance.

  Parameters:
    `numArgs` - of type int
    `fieldDeclaration` - of type Fields
    `dateFormatString` - of type String
    `zone` - of type TimeZone
    `locale` - of type Locale

Method Detail

### getDateFormatString

    public String getDateFormatString()

### getDateFormat

    public SimpleDateFormat getDateFormat()

  Method getDateFormat returns the dateFormat of this DateParser object.

  Returns:
    the dateFormat (type SimpleDateFormat) of this DateParser object.

### getCalendar

    protected Calendar getCalendar()

### prepare

    public void prepare(FlowProcess flowProcess,
                        OperationCall<Pair<SimpleDateFormat,Tuple>> operationCall)

  Description copied from class: `BaseOperation`
  Method prepare does nothing, and may safely be overridden.

  Specified by:
    `prepare` in interface `Operation<Pair<SimpleDateFormat,Tuple>>`
  Overrides:
    `prepare` in class `BaseOperation<Pair<SimpleDateFormat,Tuple>>`

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `BaseOperation<Pair<SimpleDateFormat,Tuple>>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `BaseOperation<Pair<SimpleDateFormat,Tuple>>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.